server:
  port: 7890
spring:
  application:
    name: digital-market
  mail:
    host: smtp.189.cn
    username: 'uni_message@189.cn'
    password: 'Ze$7Vi@3t%6Ga=0V'
    properties:
      mail:
        smtp:
          from: ${spring.mail.username}
          ssl:
            enable: true
  datasource:
    url: jdbc:mysql://mysql.lanyuanxiaoyao.com:43780/digital_market
    username: digital_market
    password: diXe7hS7yETHJGGz
    driver-class-name: com.mysql.cj.jdbc.Driver
  jpa:
    generate-ddl: true
    show-sql: true
logging:
  pattern:
    console: '%date{MM-dd HH:mm:ss} %-5level [%t] %C{35}: %msg%n%throwable'
  level:
    org:
      htmlunit:
        IncorrectnessListenerImpl: error
      apache:
        http:
          impl:
            execchain:
              RetryExec: error
messenger:
  mail:
    targets:
      # me
      - 'lanyuanxiaoyao@qq.com'
  driver:
    driver-path: /Users/lanyuanxiaoyao/Downloads/chromium/128/macOS-1289987/chromedriver
    binary-path: /Users/lanyuanxiaoyao/Downloads/chromium/128/macOS-1289987/Chromium.app/Contents/MacOS/Chromium
  database:
    json-path: ./database/database.json
fenix:
  print-banner: false
  print-sql: false